Hot answers tagged

3

The easiest way to renew the certificates is nitro restart (specifically on the nitro-proxy container) which is detailed here. Nitro uses Caddy Server as a reverse proxy that runs in its own container and handles generating and terminating local certificates and forwards to the site container to the sites port. Also the creator of Caddy chimed in on the ...


3

While self-update worked for you, that command is used for updating nitro itself. This may have the side-effect of updating your container, but if nitro is already up-to-date it may not do anything. However, the documentation lists multiple commands that are used to update your containers and environment: nitro update updates containers to their latest ...


2

You can't create an new yii\web\Request instance in general.php because Craft isn't fully initialized yet. It worked in previous versions but the Craft team seem to have changed the loading order. You must find another way to define you site base URL.


1

Andrew welch had an in depth article on deployments here https://nystudio107.com/blog/executing-atomic-deployments/ It may be a little advanced, but it's the blue print for the holy grail of repeatable deployment process.


1

Turns out all I needed to do was nitro init, which: Recreated the Nitro proxy and myql containers Recreated containers for my 3 sites What had gone was all the databases, but I'm guessing that's only because I was dumb enough to Clean / Purge data. In my case that's OK as I can reinstate from somewhere else. Long story short, if your Docker containers go ...


1

My guess is that your bucket doesn't have the right permissions. Try adding this permission to your bucket (use with caution since this will make the S3 100% public): { "Version": "2012-10-17", "Statement": [ { "Sid": "PublicReadGetObject", "Effect": "...


1

A compatibility issue with Craft 3.4.1 and maybe earlier. Running PostgreSQL12+ (PgSQL12+) couldn't finish Craft's installation setup. I have no idea what change in PgSQL12+ could cause this behavior but downgrading PgSQL12 to lower versions like PostgreSQL11 worked as expected. However Craft's docs states that PostgreSQL 9.5+ should meet Craft’s server ...


1

Someone may have a better answer but what just worked for me was: nitro self-update Followed by a Docker reboot. See the docs on updating.


1

Ended up using the nitro tutorial instead. Thanks @Oli!


Only top voted, non community-wiki answers of a minimum length are eligible